KUBERNETES(1)(kubernetes)

Eric Paris Jan 2015

NAME
kubeadm join phase control-plane-prepare kubeconfig - Generate the kubeconfig for the new control plane components

SYNOPSIS
kubeadm join phase control-plane-prepare kubeconfig [OPTIONS]

DESCRIPTION
Generate the kubeconfig for the new control plane components

OPTIONS
--certificate-key=""
    Use this key to decrypt the certificate secrets uploaded by init. The certificate key is a hex encoded string that is an AES key of size 32 bytes.

--config=""
    Path to a kubeadm configuration file.

--control-plane=false
    Create a new control plane instance on this node

--discovery-file=""
    For file-based discovery, a file or URL from which to load cluster information.

--discovery-token=""
    For token-based discovery, the token used to validate cluster information fetched from the API server.

--discovery-token-ca-cert-hash=[]
    For token-based discovery, validate that the root CA public key matches this hash (format: ":").

--discovery-token-unsafe-skip-ca-verification=false
    For token-based discovery, allow joining without --discovery-token-ca-cert-hash pinning.

--dry-run=false
    Don't apply any changes; just output what would be done.

--tls-bootstrap-token=""
    Specify the token used to temporarily authenticate with the Kubernetes Control Plane while joining the node.

--token=""
    Use this token for both discovery-token and tls-bootstrap-token when those values are not provided.

OPTIONS INHERITED FROM PARENT COMMANDS
--rootfs=""
    The path to the 'real' host root filesystem. This will cause kubeadm to chroot into the provided path.

--version=false
    --version, --version=raw prints version information and quits; --version=vX.Y.Z... sets the reported version

SEE ALSO
kubeadm-join-phase-control-plane-prepare(1),

HISTORY
January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!